import { DatabaseType } from "typeorm";
import { Database } from "../interface/database.interface";
import { EntityClassOrSchema } from "@nestjs/typeorm/dist/interfaces/entity-class-or-schema.type";
import { CustomerEntity } from "@apps/customers-service/src/relational/customer.entity";
import { CustomerContactEntity } from "@apps/customers-service/src/relational/customer-contacts.entity";
export const DATABASE_CONFIG = {
    customers: {
        type: 'postgres',
        env: 'CUSTOMERS',
        entities: [
            CustomerEntity,
            CustomerContactEntity
        ]
    },
    locations: {
        type: 'postgres',
        env: 'LOCATIONS',
        entities: [
            __dirname + '/../**/*.entity.js'
        ]
    }
};
//# sourceMappingURL=database.constant.js.map